scala.tools.nsc.typechecker

# ContextErrors

#### trait ContextErrors extends AnyRef

Self Type
  Analyzer
Source
  ContextErrors.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Analyzer, Duplicator, Duplicators, Erasure, SpecializationDuplicator, TreeCheckers, erasure, treeChecker
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ContextErrors
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### abstract class AbsAmbiguousTypeError extends Analyzer.AbsTypeError

2. #### sealed abstract class AbsTypeError extends Throwable

3. #### case class AccessTypeError(underlyingTree: Global.Tree, errMsg: String) extends Analyzer.TreeTypeError with Product with Serializable

4. #### case class AmbiguousImplicitTypeError(underlyingTree: Global.Tree, errMsg: String) extends Analyzer.AbsAmbiguousTypeError with Product with Serializable

5. #### case class AmbiguousTypeError(errPos: Global.Position, errMsg: String) extends Analyzer.AbsAmbiguousTypeError with Product with Serializable

6. #### case class DivergentImplicitTypeError(underlyingTree: Global.Tree, pt0: Global.Type, sym: Global.Symbol) extends Analyzer.TreeTypeError with Product with Serializable

7. #### trait ImplicitsContextErrors extends AnyRef

8. #### trait InferencerContextErrors extends AnyRef

9. #### trait NamerContextErrors extends AnyRef

10. #### case class NormalTypeError(underlyingTree: Global.Tree, errMsg: String) extends Analyzer.TreeTypeError with Product with Serializable

11. #### case class PosAndMsgTypeError(errPos: Global.Position, errMsg: String) extends Analyzer.AbsTypeError with Product with Serializable

12. #### case class SymbolTypeError(underlyingSym: Global.Symbol, errMsg: String) extends Analyzer.AbsTypeError with Product with Serializable

13. #### sealed abstract class TreeTypeError extends Analyzer.AbsTypeError

14. #### case class TypeErrorWithUnderlyingTree(tree: Global.Tree, ex: Global.TypeError) extends Analyzer.AbsTypeError with Product with Serializable

15. #### case class TypeErrorWrapper(ex: Global.TypeError) extends Analyzer.AbsTypeError with Product with Serializable

16. #### trait TyperContextErrors extends AnyRef

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ContextErrors to any2stringadd[ContextErrors] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ContextErrors, B)

   Implicit information
     This member is added by an implicit conversion from ContextErrors to ArrowAssoc[ContextErrors] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### object ErrorUtils

7. #### def MacroCantExpand210xMacrosError(internalMessage: String): Nothing

8. #### def MacroCantExpandIncompatibleMacrosError(internalMessage: String): Nothing

9. #### object NamesDefaultsErrorsGen

10. #### def NoImplicitFoundError(tree: Global.Tree, param: Global.Symbol)(implicit context: Analyzer.Context): Unit

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def ensuring(cond: (ContextErrors) ⇒ Boolean, msg: ⇒ Any): ContextErrors

    Implicit information
      This member is added by an implicit conversion from ContextErrors to Ensuring[ContextErrors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (ContextErrors) ⇒ Boolean): ContextErrors

    Implicit information
      This member is added by an implicit conversion from ContextErrors to Ensuring[ContextErrors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): ContextErrors

    Implicit information
      This member is added by an implicit conversion from ContextErrors to Ensuring[ContextErrors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): ContextErrors

    Implicit information
      This member is added by an implicit conversion from ContextErrors to Ensuring[ContextErrors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ContextErrors to StringFormat[ContextErrors] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def notAnyRefMessage(found: Global.Type): String

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def →[B](y: B): (ContextErrors, B)

    Implicit information
      This member is added by an implicit conversion from ContextErrors to ArrowAssoc[ContextErrors] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ContextErrors to any2stringadd[ContextErrors]

### Inherited by implicit conversion StringFormat from ContextErrors to StringFormat[ContextErrors]

### Inherited by implicit conversion Ensuring from ContextErrors to Ensuring[ContextErrors]

### Inherited by implicit conversion ArrowAssoc from ContextErrors to ArrowAssoc[ContextErrors]

### Ungrouped